| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxXmlAttribute Class Reference
XML

`#include <wx/xml/xml.h>`

## Detailed Description

Represents a node attribute.

Example: in `<img src="hello.gif" id="3"/>`, `src` is an attribute with value `hello.gif` and `id` is an attribute with value `3`.

##

Library: wxXML
Category: XML

See Also
  wxXmlDocument, wxXmlNode

## Public Member Functions

| wxXmlAttribute ()
| Default constructor.
| wxXmlAttribute (const wxString &name, const wxString &value, wxXmlAttribute *next=NULL)
| Creates the attribute with given name and value.
virtual | ~wxXmlAttribute ()
| The virtual destructor.
wxString | GetName () const
| Returns the name of this attribute.
wxXmlAttribute * | GetNext () const
| Returns the sibling of this attribute or NULL if there are no siblings.
wxString | GetValue () const
| Returns the value of this attribute.
void | SetName (const wxString &name)
| Sets the name of this attribute.
void | SetNext (wxXmlAttribute *next)
| Sets the sibling of this attribute.
void | SetValue (const wxString &value)
| Sets the value of this attribute.

## Constructor & Destructor Documentation

wxXmlAttribute::wxXmlAttribute | ( |  | ) |

Default constructor.

wxXmlAttribute::wxXmlAttribute | ( | const wxString & | name,
|  | const wxString & | value,
|  | wxXmlAttribute * | next = `NULL`
| ) |  |

Creates the attribute with given name and value.

If next is not NULL, then sets it as sibling of this attribute.

virtual wxXmlAttribute::~wxXmlAttribute | ( |  | ) |

virtual

The virtual destructor.

## Member Function Documentation

wxString wxXmlAttribute::GetName | ( |  | ) | const

Returns the name of this attribute.

wxXmlAttribute* wxXmlAttribute::GetNext | ( |  | ) | const

Returns the sibling of this attribute or NULL if there are no siblings.

wxString wxXmlAttribute::GetValue | ( |  | ) | const

Returns the value of this attribute.

void wxXmlAttribute::SetName | ( | const wxString & | name | ) |

Sets the name of this attribute.

void wxXmlAttribute::SetNext | ( | wxXmlAttribute * | next | ) |

Sets the sibling of this attribute.

void wxXmlAttribute::SetValue | ( | const wxString & | value | ) |

Sets the value of this attribute.